library nmead;  /* if you add the contents of nmead.lcg  */
                /* to your user.lcg file, this statement */
                /* won't be necessary.                   */

NmeadSet;

@ -- data -- @

  nldat = loadd("nlin");

@ -- model -- @

proc fct(b);
    retp(b[1]+b[2]*exp(-b[3]*nldat[.,2]));
endp;


@ -- procedure to compute sum of squared deviations -- @

proc ssq(b);
    local dev;
    dev = nldat[.,1] - fct(b);
    retp(dev'*dev);
endp;

start = { .1, 2, .1 };

{ bh,retcode } = Nmead(&ssq,start);

print "estimates";
print bh;
